import React from "react";
import { Dimensions } from "react-native";
import { Svg } from "expo";
import VictoryLabel from "./victory-label";
import VictoryContainer from "./victory-container";
import Bar from "./victory-primitives/bar";
import { VictoryBar } from "victory-bar/es";

const { G } = Svg;

export default class extends VictoryBar {
  static defaultProps = Object.assign({}, VictoryBar.defaultProps, {
    dataComponent: <Bar />,
    labelComponent: <VictoryLabel />,
    containerComponent: <VictoryContainer />,
    groupComponent: <G />,
    width: Dimensions.get("window").width
  });
}
