import React from "react";
import { Dimensions } from "react-native";
import { Svg } from "expo";
import VictoryLabel from "./victory-label";
import VictoryContainer from "./victory-container";
import Candle from "./victory-primitives/candle";
import { VictoryCandlestick } from "victory-candlestick/es";

const { G } = Svg;

export default class extends VictoryCandlestick {
  static defaultProps = Object.assign({}, VictoryCandlestick.defaultProps, {
    dataComponent: <Candle />,
    labelComponent: <VictoryLabel />,
    containerComponent: <VictoryContainer />,
    groupComponent: <G />,
    width: Dimensions.get("window").width
  });
}
