import React from "react";
import { Svg } from "expo";
import { VictoryPortal } from "victory-core/es";

const { G } = Svg;

export default class extends VictoryPortal {
  renderPortal(child) {
    if (this.renderInPlace) {
      return child || <G />;
    }
    this.element = child;
    return <G />;
  }
}
