import React from "react";
import Line from "./line";
import Rect from "./rect";
import { Svg } from "expo";
import { Candle } from "victory-candlestick/es";

const { G } = Svg;

export default class extends Candle {
  static defaultProps = Object.assign({}, Candle.defaultProps, {
    groupComponent: <G />,
    lineComponent: <Line />,
    rectComponent: <Rect />
  });
}
