import React from "react";
import Path from "./path";
import ClipPath from "./clip-path";
import Circle from "./circle";
import { Svg } from "expo";
import { Voronoi } from "victory-voronoi/es";

const { G } = Svg;

export default class extends Voronoi {
  static defaultProps = Object.assign({}, Voronoi.defaultProps, {
    groupComponent: <G />,
    pathComponent: <Path />,
    clipPathComponent: <ClipPath />,
    circleComponent: <Circle />
  });
}
