import React from "react";
import { Svg } from "expo";
import { VictoryLegend } from "victory-legend/es";
import { Dimensions } from "react-native";
import VictoryLabel from "./victory-label";
import VictoryContainer from "./victory-container";
import Point from "./victory-primitives/point";
import Border from "./victory-primitives/border";

const { G } = Svg;

export default class extends VictoryLegend {
  static defaultProps = Object.assign({}, VictoryLegend.defaultProps, {
    borderComponent: <Border />,
    containerComponent: <VictoryContainer />,
    dataComponent: <Point />,
    groupComponent: <G />,
    labelComponent: <VictoryLabel />,
    titleComponent: <VictoryLabel />,
    width: Dimensions.get("window").width
  });
}
